| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TransportReceiverInterface Class Referenceabstract
eProsima Fast DDS API Reference » RTPS » Common Module. » Transport Module.

Interface against which to implement a data receiver, decoupled from transport internals. More...

`#include <TransportReceiverInterface.hpp>`

## Public Member Functions

virtual | ~TransportReceiverInterface ()=default
| Destructor.
virtual void | OnDataReceived (const fastdds::rtps::octet *data, const uint32_t size, const Locator &local_locator, const Locator &remote_locator)=0
| Method to be called by the transport when receiving data.

## Detailed Description

Interface against which to implement a data receiver, decoupled from transport internals.

## Constructor & Destructor Documentation

## ◆ ~TransportReceiverInterface()

virtual ~TransportReceiverInterface | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ OnDataReceived()

virtual void OnDataReceived | ( | const fastdds::rtps::octet * | data,
|  | const uint32_t | size,
|  | const Locator & | local_locator,
|  | const Locator & | remote_locator )

pure virtual

Method to be called by the transport when receiving data.

Parameters

  data | Pointer to the received data.
  size | Number of bytes received.
  local_locator | Locator identifying the local endpoint.
  remote_locator | Locator identifying the remote endpoint.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/transport/TransportReceiverInterface.hpp